Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.util
Class UrlBuilder

    java.lang.Object
      org.jboss.seam.ui.util.UrlBuilder

Direct Known Subclasses:
  ViewUrlBuilder

    public class UrlBuilder

extends Object

Constructor Summary
`protected` | `UrlBuilder(String fragment, String characterEncoding)`
`` | `UrlBuilder(String fragment, String characterEncoding, boolean urlEncodeParameters)`
`` | `UrlBuilder(String url, String fragment, String characterEncoding)`
`` | `UrlBuilder(String url, String fragment, String characterEncoding, boolean urlEncodeParameters)`

Method Summary
`void` | `addParameter(String name, String value)`
`void` | `addParameter(javax.faces.component.UIParameter parameter)`
`String` | `getEncodedUrl()`
`protected String` | `getFragment()`
`protected Map<String,String>` | `getParameters()`
`protected String` | `getParametersAsString()`
`protected void` | `setUrl(String url)`
`protected String` | `urlEncode(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlBuilder

    protected UrlBuilder(String fragment,
                         String characterEncoding)

### UrlBuilder

    public UrlBuilder(String fragment,
                      String characterEncoding,
                      boolean urlEncodeParameters)

### UrlBuilder

    public UrlBuilder(String url,
                      String fragment,
                      String characterEncoding)

### UrlBuilder

    public UrlBuilder(String url,
                      String fragment,
                      String characterEncoding,
                      boolean urlEncodeParameters)

Method Detail

### setUrl

    protected void setUrl(String url)

### urlEncode

    protected String urlEncode(String value)
                        throws UnsupportedEncodingException

  Throws:
    `UnsupportedEncodingException`

### getFragment

    protected String getFragment()

### getEncodedUrl

    public String getEncodedUrl()

### getParametersAsString

    protected String getParametersAsString()

### getParameters

    protected Map<String,String> getParameters()

### addParameter

    public void addParameter(String name,
                             String value)
                      throws UnsupportedEncodingException

  Throws:
    `UnsupportedEncodingException`

### addParameter

    public void addParameter(javax.faces.component.UIParameter parameter)
                      throws UnsupportedEncodingException

  Throws:
    `UnsupportedEncodingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.